<style>
    #table-wrapper {
        position:relative;
    }
    #table-scroll {
        max-height:500px;
        overflow:auto;
        margin-top:20px;
    }
    #table-wrapper table {
        /*width:100%;*/

    }
    #table-wrapper table * {
        /*background:yellow;*/
        /*color:black;*/
    }
    #table-wrapper table thead th .text {
        position:absolute;
        top:-20px;
        z-index:2;
        /*height:20px;*/
        width:35%;
        border:1px solid red;
    }
    .show-block{
        display: block !important;
    }
    .hide-block{
        display: none !important;
    }

    .number-format-wrong{
        border: 1px solid red !important;
    }
    .sub-role-style{
        display: none;
    }

</style>

<blc_admin:admin_user resultVar="adminUser" ></blc_admin:admin_user>

<script th:with="adminUser=${adminUser}" th:inline="javascript">
    var BLC_USER_PREFS = /*[[${adminUser.flatAdditionalFields}]]*/ {};
</script>
<input id="contextRoot" name="contextRoot" type="hidden" th:value="@{/}"/>
<div class="sticky-container">
    <p id="order_detail_url" style="display: none" th:utext="${@environment.getProperty('site.order.url')}"></p>
    <span style="display: none" id="user_login" th:text="${adminUser.login}"></span>
    <span style="display: none" id="user_role" th:text="${adminUser.allRoles}"></span>
    <span style="display: none" id="facCode_User" th:text="${adminUser.additionalFields.FACTORY_CODE}"></span>
    <div class="content-area-title-bar entity-form-actions">
        <input id="csrfToken" name="csrfToken" type="hidden" th:value="${@blExploitProtectionService.getCSRFToken()}"/>

        <h3>
            <span class="filter-text" style="display: none;">Filtered </span>
            <span class="admin-section">
                All Order
            </span>
        </h3>
        <h4>
             <span th:each="mItem : ${adminUser.allRoles}">
                <span class="sub-role-style"  name="sub_role" type="text"
                      th:text="${mItem.name}" ></span>
            </span>
        </h4>

        <h4 class="main-count">
            <span id="maxSizeOrder"></span>
            <span>ALL ORDERS</span>

        </h4>
        <div id="headerFlashAlertBoxContainer" class="hidden">
            <div id="headerFlashAlertBox" class="alert-box success" style="display: none;">
                <span class="alert-box-message"></span>
            </div>
        </div>
        <div id="headerChangeBoxContainer" class="hidden">
            <div id="headerChangeBox" class="success" style="display: none;">
                <span class="change-box-message"></span>
            </div>
        </div>
    </div>
</div>

<!--Search & Table Section-->

<div class="content-yield listgrid-container" id="main">
    <div class="listgrid-search row">

        <div class="col12">
            <div class ="col3">
                <label style="display: block !important;">Order Number</label>
                <input style="margin-right: 15px !important;"  id="search_by_order_num" type="search" name="table-search" placeholder="Search by order">
            </div>
            <div class ="col3">
                <label style="display: block !important;">Customer</label>
                <input   id="search_order_customer" type="search" name="table-search" placeholder="Search by customer">
            </div>
            <div class ="col3">
                <label style="display: block !important;">Status</label>
                <select id="search_order_status" name="table-search" >
                    <option value="ALL">ALL</option>
                    <option value="WAIT">WAIT</option>
                    <option value="APPROVE">APPROVE</option>
                    <option value="REJECT">REJECT</option>
                </select>
            </div>

        </div>
    </div>

    <div class="listgrid-search row">

        <div class="col12">
            <div class ="col3">
                <label style="display: block !important;">Amount Start</label>
                <input style="margin-right: 15px !important;" class="is-numeric"  id="search_amount_st" type="search" name="table-search" placeholder="Amount start with">
            </div>
            <div class ="col3">
                <label style="display: block !important;">Amount End</label>
                <input style="margin-right: 15px !important;" class="is-numeric"  id="search_amount_ed" type="search" name="table-search" placeholder="Amount end with">
            </div>
            <div class ="col3 datepicker-container">
                <label style="display: block !important;">Date Start <i class="blc-icon-calendar"></i></label>
                <input placeholder="Date start" id="search_date_st" class="listgrid-criteria-input-range range-single datepicker"
                       type="text"/>
            </div>
            <div class ="col3 datepicker-container">
                <label style="display: block !important;">Date End <i class="blc-icon-calendar"></i></label>
                <input placeholder="Date end" id="search_date_ed"  class="listgrid-criteria-input-range range-single datepicker"
                       type="text"/>

            </div>
        </div>

    </div>
    <div class="listgrid-search row">
        <div class="col12">
            <div class="col2">
                <div class="listgrid-search-actions">
                    <button id="btn_search" class="button primary search-button">Search</button>
                </div>
            </div>
        </div>

    </div>
    <div class="listgrid-header-wrapper">
        <div id="table-wrapper">
            <div style="margin: 0px !important;" id="table-scroll">
                <table class="list-grid-table table table-striped org.broadleafcommerce.core.catalog.domain.Product" data-listgridtype="main" data-listgridselecttype="none" data-hiddenid="listGrid1574408069099Json" data-fetchtype="DEFAULT" id="listGrid-main-header" style="padding-right: 0px;">
                    <thead>
                    <tr>
                        <th style="border-top :1px solid #B4B3B0"  width="20%" scope="col" class="explicit-size">
                            <div href="#" class="listgrid-headerBtn split dropdown">
                                <div class="listgrid-title" style="font-weight: normal; ">
                                    <span>Order Number</span>
                                    <div class="resizer">&nbsp;</div>
                                </div>
                            </div>
                        </th>
                        <th style="border-top :1px solid #B4B3B0" width="15%" scope="col" >
                            <div href="#" class="listgrid-headerBtn split dropdown">
                                <div class="listgrid-title" style="font-weight: normal; ">
                                    <span>Customer</span>
                                    <div class="resizer">&nbsp;</div>
                                </div>
                            </div>
                        </th>
                        <th style="border-top :1px solid #B4B3B0" width="10%" scope="col" >
                            <div href="#" class="listgrid-headerBtn split dropdown">
                                <div class="listgrid-title" style="font-weight: normal; ">
                                    <span>Factory</span>
                                    <div class="resizer">&nbsp;</div>
                                </div>
                            </div>
                        </th>
                        <th style="border-top :1px solid #B4B3B0" width="10%" scope="col" class="explicit-size">
                            <div href="#" class="listgrid-headerBtn split dropdown">
                                <div class="listgrid-title" style="font-weight: normal; ">
                                    <span>Date</span>
                                    <div class="resizer">&nbsp;</div>
                                </div>
                            </div>
                        </th>
                        <th style="border-top :1px solid #B4B3B0" width="15%" scope="col" class="explicit-size">
                            <div href="#" class="listgrid-headerBtn split dropdown">
                                <div class="listgrid-title" style="font-weight: normal; ">
                                    <span>Status</span>
                                    <div class="resizer">&nbsp;</div>
                                </div>
                            </div>
                        </th>
                        <th style="border-top :1px solid #B4B3B0" width="15%" scope="col">
                            <div href="#" class="listgrid-headerBtn split dropdown">
                                <div class="listgrid-title" style="font-weight: normal; ">
                                    <span>Total Amount&#160;(Baht)</span>
                                    <div class="resizer">&nbsp;</div>
                                </div>
                            </div>
                        </th>
                        <th style="text-align: center; border-top :1px solid #B4B3B0" width="15%" scope="col">
                            <div href="#" class="listgrid-headerBtn split dropdown">
                                <div class="listgrid-title" style="font-weight: normal; ">
                                    <span>Action</span>
                                    <div class="resizer">&nbsp;</div>
                                </div>
                            </div>
                        </th>
                    </tr>
                    <thead id="bodyOrder">
                    </thead>
                    </thead>
                </table>
            </div>
        </div>
    </div>

</div>

    <div id="blockPaging" style="margin-left: 10px;" class="listgrid-table-footer hide-block">
        <span class="listgrid-table-footer-message">
            <span style="display:none" class="page-results">
                <a class="previous-page" style="display: none;">&lt;Previous</a>
                <span class="first-index">0</span>
                              -
                <span class="last-index">0</span>
                <a class="next-page" style="display: none;">Next&gt;</a>
                <div class="result-page-size" style="padding-top: 5px"><span>Page Size&nbsp;&nbsp;:&nbsp;&nbsp;</span><input type="text" class="result-page-size-input" style="height: 24px"></div>
            </span>
            <span style="display:inline" class="scroll-results">
                <span id="firstResult" class="low-index">1</span>
                -
                <span id="lastResult" class="high-index">1</span>
                <span>of</span>
                <span id="maxResult"  class="total-records">1</span>
                <span>records</span>
            </span>
        </span>
    </div>

<blc:bundle name="libs.js"
            mapping-prefix="/js/"
            files="lib/jquery-3.1.1.min.js" />

<blc:bundle name="orderCustom.js"
            mapping-prefix="/js/"
            files="order/orderFactoryAdmin.js" />

</div>


